Bug 675786 (CVE-2011-0013) - CVE-2011-0013 tomcat: XSS vulnerability in HTML Manager interface
Summary: CVE-2011-0013 tomcat: XSS vulnerability in HTML Manager interface
Status: CLOSED ERRATA
Alias: CVE-2011-0013
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110111,reported=20110204,sou...
Keywords: Security
Depends On: 675794 675795 675923 675924 675925 675926 675931 675933 802294
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-07 18:37 UTC by Vincent Danen
Modified: 2019-06-08 18:44 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-12-20 17:45:58 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0791 normal SHIPPED_LIVE Moderate: tomcat6 security and bug fix update 2011-05-19 10:58:07 UTC
Red Hat Product Errata RHSA-2011:0896 normal SHIPPED_LIVE Moderate: JBoss Enterprise Web Server 1.0.2 update 2011-06-22 23:16:28 UTC
Red Hat Product Errata RHSA-2011:0897 normal SHIPPED_LIVE Moderate: JBoss Enterprise Web Server 1.0.2 update 2011-06-22 23:38:13 UTC
Red Hat Product Errata RHSA-2011:1845 normal SHIPPED_LIVE Moderate: tomcat5 security update 2011-12-20 22:21:27 UTC

Description Vincent Danen 2011-02-07 18:37:02 UTC
Apache Tomcat 5.5.32 and 6.0.30 were released [1],[2] to fix, among other things, an XSS vulnerability in the HTML Manager [3].  The HTML Manager displayed unfiltered web application-provided data that could be used to trigger script execution by an administrative user when viewing the Manager pages, such as:

<display-name>&lt;script&gt;alert('hi');&lt;/script&gt;</display-name> 

For Tomcat 5.5.x, this was fixed in upstream revision 1057518 [4] and for Tomcat 6.x it was fixed in upstream revision 1057270 [5].

[1] http://tomcat.apache.org/security-5.html#Fixed_in_Apache_Tomcat_5.5.32
[2] http://tomcat.apache.org/security-6.html#Fixed_in_Apache_Tomcat_6.0.30
[3] http://archives.neohapsis.com/archives/fulldisclosure/2011-02/0077.html
[4] http://svn.apache.org/viewvc?rev=1057518&view=rev
[5] http://svn.apache.org/viewvc?rev=1057270&view=rev

Comment 1 Vincent Danen 2011-02-07 19:01:47 UTC
Created tomcat6 tracking bugs for this issue

Affects: fedora-all [bug 675794]

Comment 2 Vincent Danen 2011-02-07 19:01:55 UTC
Created tomcat5 tracking bugs for this issue

Affects: fedora-all [bug 675795]

Comment 5 errata-xmlrpc 2011-05-19 10:58:14 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0791 https://rhn.redhat.com/errata/RHSA-2011-0791.html

Comment 6 errata-xmlrpc 2011-05-19 14:29:22 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0791 https://rhn.redhat.com/errata/RHSA-2011-0791.html

Comment 7 errata-xmlrpc 2011-06-22 23:16:58 UTC
This issue has been addressed in following products:

  JBoss Enterprise Web Server 1.0

Via RHSA-2011:0896 https://rhn.redhat.com/errata/RHSA-2011-0896.html

Comment 8 errata-xmlrpc 2011-06-22 23:38:35 UTC
This issue has been addressed in following products:

  JBEWS 1.0 for RHEL 5
  JBEWS 1.0 for RHEL 4
  JBEWS 1 for RHEL 6

Via RHSA-2011:0897 https://rhn.redhat.com/errata/RHSA-2011-0897.html

Comment 10 errata-xmlrpc 2011-12-20 17:25:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1845 https://rhn.redhat.com/errata/RHSA-2011-1845.html

Comment 11 Vincent Danen 2011-12-20 17:45:58 UTC
Statement:

(none)


Note You need to log in before you can comment on or make changes to this bug.